Firefox ya no soporta ALSA

Con la mas reciente versión 52.0, la gente de Mozilla Firefox ha removido el soporte para ALSA en Linux dejando como única opción el popular servidor de audio PulseAudio.

Sin haber sido anunciado en la nota oficial de lanzamiento, Firefox 52.0 ha dejado a algunos usuarios sin audio web al usar este popular navegador de internet pues su equipo de desarrollo ha removido el soporte para ALSA debido a varios factores técnicos y datos recabados por el servicio de telemetría, dejando así como única opción el servidor de audio PulseAudio el cuál es el mas usado por las populares distribuciones Linux actualmente.

De acuerdo con el desarrollador de Mozilla Anthony Jones, los factores técnicos que motivaron a dejar de soportar ALSA en este popular navegador web serían los siguientes:

  • ALSA tiene muchos problemas tanto en su mantenimiento como en su implementación
  • PulseAudio es el servidor de audio que mejor se adapta a GTK3
  • Apoyar la visión de tener un backend unificado en Linux
  • La implementación de PulseAudio es fácil, además de que su código es mucho mas pequeño que el de ALSA

Pero lo que mas influyó en esta desición es la data recopilada por el servicio de telemetría de Mozilla Firefox ya que según, la gran mayoría de los usuarios Linux usan distribuciones que tienen como servidor de audio por defecto a PulseAudio, en cuanto a los que usan ALSA, se tratarían de usuarios con ordenadores muy viejos que no soportan siquiera instrucciones SSE2 en sus CPU’s (una de las características que se necesitan para poder correr la versiones mas recientes de Mozilla Firefox). Además, estos usuarios solo representan el 1,2% de todos los linuxeros que usan Firefox.

En cuanto a si se reconsiderará esta decisión, Jones ha dejado claro que no habrá reconsideración alguna por lo que los usuarios linuxeros que usen distros sin soporte a PulseAudio deberán elegir tres opciones:

1- Instalar manualmente PulseAudio (si la distro cuenta con las dependencias requeridas para permitir dicha instalación).
2- Usar la versión de soporte extendido de Mozilla Firefox (esta opción no es muy viable que digamos a futuro ya que prescisamente la próxima versión LTS del navegador es Firefox 52.0)
3- Usar otro navegador web como Chromium el cuál soporta ALSA

Vale reseñar que de acuerdo con otros desarrolladores de Mozilla Firefox, ALSA presenta problemas para soportar tanto el sistema de audio Full-Duplex como el audio surround (multicanales). Si deseas conocer todos los detalles y dar seguimiento al debate originado por esta desición, entonces deberás remitirte al ticket publicado en Bugzilla.

Sobre nosotros Ramon Marquez

Un Bloguero del mundo

Deja un comentario

Este sitio usa Akismet para reducir el spam. Conoce cómo se procesan los datos de tus comentarios.